Qt 5.11 | Qt 3D | C++ Classes | QAbstractSkeleton

Qt 5.11.3 Reference Documentation

# QAbstractSkeleton Class

(Qt3DCore::QAbstractSkeleton)

A skeleton contains the joints for a skinned mesh. More...

Header: | #include <QAbstractSkeleton>
qmake: | QT += 3dcore
Since: | Qt 5.10
Instantiated By: | AbstractSkeleton
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DCore::QSkeleton and Qt3DCore::QSkeletonLoader

- List of all members, including inherited members

## Properties

- jointCount : const int

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

int | jointCount() const

- 13 public functions inherited from Qt3DCore::QNode

## Signals

void | jointCountChanged(int jointCount)

- 4 signals inherited from Qt3DCore::QNode

## Reimplemented Protected Functions

virtual void | sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change) override

- 2 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 3 public slots inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

A skeleton contains the joints for a skinned mesh.

Do not use this class directly. You should use QSkeletonLoader if loading skeleton data from a file (most likely) or QSkeleton if creating the skeleton and skinned mesh data yourself (mainly for people creating editors or tooling).

## Property Documentation

### jointCount : const int

Holds the number of joints contained in the skeleton

Access functions:

int | jointCount() const

Notifier signal:

void | jointCountChanged(int jointCount)

## Member Function Documentation

### `[override virtual protected]` void QAbstractSkeleton::sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)